Rated 5 out of 5 stars

Very useful and much needed for me.
It is compatible with Firefox 5.0 and works perfectly(w/Add-on Compatibility Reporter)

This review is for a previous version of the add-on (1.2.1-signed).